Suitcase Fusion for iOS System Requirements - Extensis.com

Suitcase Fusion for iOS
System Requirements

Current version: 1.0

iOS

  • iPad®, iPhone®, or iPod touch® running iOS 9 or later
  • Suitcase Fusion® 7 or 8, or Suitcase TeamSync™ for macOS™ or Windows®
  • An internet connection (data network usage charges may apply)